Hot News:

Mit Unterstützung durch:

  Foren auf CAD.de (alle Foren)
  Lisp
  Objektauswahl am Punkt (SELECTIONCYCLING)

Antwort erstellen  Neues Thema erstellen
CAD.de Login | Logout | Profil | Profil bearbeiten | Registrieren | Voreinstellungen | Hilfe | Suchen

Anzeige:

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen nächster neuer Beitrag | nächster älterer Beitrag
  
Gut zu wissen: Hilfreiche Tipps und Tricks aus der Praxis prägnant, und auf den Punkt gebracht für Autodesk Produkte
Autor Thema:  Objektauswahl am Punkt (SELECTIONCYCLING) (241 mal gelesen)
Meldin
Mitglied



Sehen Sie sich das Profil von Meldin an!   Senden Sie eine Private Message an Meldin  Schreiben Sie einen Gästebucheintrag für Meldin

Beiträge: 342
Registriert: 15.07.2011

ACA2018
Windows10

erstellt am: 02. Mrz. 2021 09:42    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Hallo
kurz frage :-)
eine Linie liegt auf einer Solid Schraffur. Beim klicken auf die Linie erhalte ich bei eingeschalteter wechselnder Auswahl  (SELECTIONCYCLING) als Auswahl die Schraffur und die Linie.
Gibt es eine Möglichkeit auch so an die Daten aus lisp heraus zu kommen denn (ssget) , (ssget (getpoint)) , (ssget "CP") usw. greifen da nur ein Objekt wenn überhaupt?. Oder muss man sich da selber etwas basteln?

------------------
Gruß Wolfgang

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

CADwiesel
Moderator
CAD4FM UG




Sehen Sie sich das Profil von CADwiesel an!   Senden Sie eine Private Message an CADwiesel  Schreiben Sie einen Gästebucheintrag für CADwiesel

Beiträge: 1938
Registriert: 05.09.2000

AutoCAD, Bricscad
Wir machen das Mögliche unmöglich

erstellt am: 02. Mrz. 2021 09:53    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für Meldin 10 Unities + Antwort hilfreich

Seit wann liefert dir ssget nur ein Objekt, wenn da mehrere sind? Das ist bei mir anders
Ein selecton set kann durchaus alles an Objekten in dem gewählten Bereich liefern, solange die Objekte nicht auf unterschiedlichen Z-Höhen liegen

------------------
Gruß
CADwiesel
Besucht uns im CHAT

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

cadffm
Moderator
良い精神




Sehen Sie sich das Profil von cadffm an!   Senden Sie eine Private Message an cadffm  Schreiben Sie einen Gästebucheintrag für cadffm

Beiträge: 20309
Registriert: 03.06.2002

System: F1
und Google

erstellt am: 02. Mrz. 2021 09:57    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für Meldin 10 Unities + Antwort hilfreich

Ich denke nicht. Die Objektwahl ist immer das oben liegende Objekte (auch bei aktiviertem selectioncycling)
und nur für das gewählte Objekt erhält du die Daten.

Zum nachbasteln "nur" in Lisp wird es auch nichts geben, am nächsten kommt da wohl noch ein ssget cross
bei dem beide Kreuzenecken die gleiche Koordinate aufweisen - aber das funktioniert halt auch nur für
greifbare Geomatrie(kanten) und nicht für Flächen wie solid oder schraffur usw.

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

cadffm
Moderator
良い精神




Sehen Sie sich das Profil von cadffm an!   Senden Sie eine Private Message an cadffm  Schreiben Sie einen Gästebucheintrag für cadffm

Beiträge: 20309
Registriert: 03.06.2002

System: F1
und Google

erstellt am: 02. Mrz. 2021 09:58    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für Meldin 10 Unities + Antwort hilfreich

Zitat:
Original erstellt von CADwiesel:
Seit wann liefert dir ssget nur ein Objekt, wenn da mehrere sind? Das ist bei mir anders
Ein selecton set kann durchaus alles an Objekten in dem gewählten Bereich liefern, solange die Objekte nicht auf unterschiedlichen Z-Höhen liegen

Guten Morgen  

Ssget (= Objektwahl) liefert bei einem Klick auch bei dir nur ein Objekt (das ist der Knackpunkt, Objektwahl Punktwahl, also ein Klick)

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

CADmium
Moderator
Maschinenbaukonstrukteur




Sehen Sie sich das Profil von CADmium an!   Senden Sie eine Private Message an CADmium  Schreiben Sie einen Gästebucheintrag für CADmium

Beiträge: 13474
Registriert: 30.11.2003

.

erstellt am: 02. Mrz. 2021 10:19    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für Meldin 10 Unities + Antwort hilfreich

(defun SSGETP(/ P P1 P2 AWS D)
  (if(and(setq P(getpoint "\nAuswahl: "))
        (setq D(* 0.5(getvar "PICKBOX")))
        (setq P1(list(-(car P)D)(-(cadr P)D)) P2(list(+(car P)D)(+(cadr P)D)))
        (setq AWS(ssget "_C" P1 P2))
    )
    (sssetfirst nil AWS)
  )
)

------------------
Also ich finde Unities gut ... und andere sicher auch
---------------------------------------
  - Thomas -          
"Bei 99% aller Probleme ist die umfassende Beschreibung des Problems bereits mehr als die Hälfte der Lösung desselben."

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Meldin
Mitglied



Sehen Sie sich das Profil von Meldin an!   Senden Sie eine Private Message an Meldin  Schreiben Sie einen Gästebucheintrag für Meldin

Beiträge: 342
Registriert: 15.07.2011

ACA2018
Windows10

erstellt am: 02. Mrz. 2021 11:06    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

@Cadmium
dein Beispiel klappt nicht wirklich. Er wählt bei mir immer alles. glaube CP tut sich das schwer. Siehe Beschreibung.
Zitat:
Caution: Only objects visible in the drawing area at the time of selection will be selected by this method. Consider temporarily zooming to the selection window before performing the selection, and then zoom previous to restore the original screen position.

------------------
Gruß Wolfgang

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Meldin
Mitglied



Sehen Sie sich das Profil von Meldin an!   Senden Sie eine Private Message an Meldin  Schreiben Sie einen Gästebucheintrag für Meldin

Beiträge: 342
Registriert: 15.07.2011

ACA2018
Windows10

erstellt am: 03. Mrz. 2021 15:45    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Hallo,
danke für die Tipps.
Habe es jetzt so gelöst.
Code:
(defun SSGETpoint (/ ptl AuswSatz AWSSS)
  (if (setq ptl (cadr (entsel)))
    (progn
      (setq AuswSatz (ssadd))
      (command "_.undo" "b")
      (while
(and
  (setq AWSSS (ssget ptl))
  (setq AWSSS (ssname AWSSS 0))
  (not (ssmemb AWSSS AuswSatz))
)
(ssadd AWSSS AuswSatz)
(command "draworder" AWSSS "" "unten")
      )
      (command "_.undo" "e")
      (terpri)
      (if (ssnamex AuswSatz)
(progn (command "_.undo" 1)
      AuswSatz
)
      )
    )
  )
)

------------------
Gruß Wolfgang

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Anzeige.:

Anzeige: (Infos zum Werbeplatz >>)

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen

nächster neuerer Beitrag | nächster älterer Beitrag
Antwort erstellen


Diesen Beitrag mit Lesezeichen versehen ... | Nach anderen Beiträgen suchen | CAD.de-Newsletter

Administrative Optionen: Beitrag schliessen | Archivieren/Bewegen | Beitrag melden!

Fragen und Anregungen: Kritik-Forum | Neues aus der Community: Community-Forum

(c)2021 CAD.de | Impressum | Datenschutz